% Symbolic solution of nonlinear equations
% Equation: ax^2+bx+c=0
  syms a b c x
  r1=solve('a*x^2+b*x+c=0'); pretty(simple(r1))
  r11=subs(r1,{a b c},{1 7 8})
    
% Equation: x^12=1
  r2=solve('x^12=1')
  r22=double(r2)
  figure(1); plot(real(r22),imag(r22),'o'); grid on
    title('ROOTS OF EQUATION: x^12=1')
  
% Equation: tan(x)+sin(x)=2
  r3=solve('tan(x)+sin(x)=2'), double(r3)
  figure(2); ezplot('tan(x)+sin(x)-2'); grid on
    title('FUNCTION tan(x)+sin(x)=2')